MPD: DirectoryReader Class Reference

MPD 0.20.15

Public Member Functions
DirectoryReader Class Reference

Reader for directory entries. More...

`#include <DirectoryReader.hxx>`

## Public Member Functions
| DirectoryReader (Path dir)
| Creates new directory reader for the specified #dir. More...
| DirectoryReader (const DirectoryReader &other)=delete
DirectoryReader & | operator= (const DirectoryReader &other)=delete
| ~DirectoryReader ()
| Destroys this instance. More...
bool | HasEntry () const
| Checks if directory entry is available. More...
bool | ReadEntry ()
| Reads next directory entry. More...
Path | GetEntry () const
| Extracts directory entry that was previously read by ReadEntry. More...

## Detailed Description

Reader for directory entries.

Definition at line 106 of file DirectoryReader.hxx.

## Constructor & Destructor Documentation

## ◆ DirectoryReader() [1/2]

DirectoryReader::DirectoryReader | ( | Path | dir | ) |
| explicit

Creates new directory reader for the specified #dir.

Throws std::system_error on error.

## ◆ DirectoryReader() [2/2]

DirectoryReader::DirectoryReader | ( | const DirectoryReader & | other | ) |
| delete

## ◆ ~DirectoryReader()

DirectoryReader::~DirectoryReader | ( |  | ) |
| inline

Destroys this instance.

Definition at line 124 of file DirectoryReader.hxx.

## Member Function Documentation

## ◆ GetEntry()

Path DirectoryReader::GetEntry | ( |  | ) | const
| inline

Extracts directory entry that was previously read by ReadEntry.

Definition at line 146 of file DirectoryReader.hxx.

## ◆ HasEntry()

bool DirectoryReader::HasEntry | ( |  | ) | const
| inline

Checks if directory entry is available.

Definition at line 131 of file DirectoryReader.hxx.

## ◆ operator=()

DirectoryReader& DirectoryReader::operator= | ( | const DirectoryReader & | other | ) |
| delete

## ◆ ReadEntry()

bool DirectoryReader::ReadEntry | ( |  | ) |
| inline

Reads next directory entry.

Definition at line 138 of file DirectoryReader.hxx.

The documentation for this class was generated from the following file:

- fs/DirectoryReader.hxx